Subject: bug#9813: rm -rf calls rmdir() prior to close(), which can fail

From: Jim Meyering <[email-masked]>
Date: Mon, 24 Oct 2011 16:21:00 +0200

Eric Blake wrote:
> On 10/24/2011 02:58 AM, Jim Meyering wrote:
>>   ** Bug fixes
>>
>> +  rm -rf DIR would fail with "Device or resource busy" on Cygwin with NWFS
>> +  and NcFsd file systems.  This did not affect Unix/Linux-based kernels.
>> +  [bug introduced in coreutils-7.0, when rm began using fts]
>
> rm didn't use fts() until coreutils 8.0 (the cygwin testing proved
> that coreutils 7.0 did not suffer from the problem).  See also the
> news for 8.13 mentioning an rm regression introduced by fts() in 8.0.

Thanks.

>From 5bb6316bd71f3a52990a57d94203d8855e4b6b90 Mon Sep 17 00:00:00 2001
From: Eric Blake <[email-masked]>
Date: Mon, 24 Oct 2011 16:20:34 +0200
Subject: [PATCH] doc: NEWS: correct "bug introduced in ..." version number

* NEWS: s/7.0/8.0/
---
 NEWS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/NEWS b/NEWS
index b73057a..081989d 100644
--- a/NEWS
+++ b/NEWS
@@ -6,7 +6,7 @@ GNU coreutils NEWS                                    -*- outline -*-

   rm -rf DIR would fail with "Device or resource busy" on Cygwin with NWFS
   and NcFsd file systems.  This did not affect Unix/Linux-based kernels.
-  [bug introduced in coreutils-7.0, when rm began using fts]
+  [bug introduced in coreutils-8.0, when rm began using fts]

   tac no longer fails to handle two or more non-seekable inputs
   [bug introduced in coreutils-5.3.0]
--
1.7.7.419.g87009